@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700;800&family=Open+Sans:wght@300;400;600&display=swap');

/* Reset */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
    padding: 0;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* Common */
* {
    outline: none !important;
}
:root {
    --accent-color: #E632B0;
}
html {
    font-size: 10px;
    font-family: 'Montserrat', sans-serif;
    box-sizing: border-box;
}
p {
    font-family: 'Open Sans', sans-serif;
}
body {
    width: 100%;
    margin: 0;
}
a {
    text-decoration: none;
}

.hidden {
    display: none !important;
}

/*
Booksy widget
*/
.booksy-business-link {
    display: none!important;
}
.booksy-widget-container {
    width: 100%!important;
}
.booksy-widget-button {
    display: flex!important;
    justify-content: center;
    align-items: center;
    height: 6.5rem!important;
    width: 100%!important;
    border-radius: 1rem!important;
    color: #000000;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 1.8rem;
    background-color: #FFFFFF!important;
    background-image: none!important;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.3);
    transition: 0.5s;
}

.header__media-links {
    display: flex;
}
.header__media-icon {
    display: block;
    font-size: 22px;
    margin: 1rem;
    transition: color .2s;
}
.header__media-link:hover .header__media-icon {
    color: var(--accent-color);
}

.lang-switcher-btn {
    border: none;
    background: none;
    cursor: pointer;
    width: 48px;
}
.lang-switcher-img {
 width: 100%;
}

/* menu-overlay section */
.menu-overlay {
    width: 100%;
    height: 100%;
    top: 7rem;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 500;
    position: fixed;
    pointer-events: none;
    overflow: hidden;
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.85);
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
}
.menu-overlay.active {
    opacity: 1;
    pointer-events: all;
}
.menu-overlay__wrapper {
    margin: 3rem;
    width: 100%;
    height: calc(100% - 13rem);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.menu-overlay__links {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 2rem;
    color: #fff;
}

.menu-overlay__navigation {
    width: 100%;
}
.menu-overlay__navigation-list {
    color: #FFFFFF;
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 2.4rem;
    width: 100%;
}
.menu-overlay__navigation-list li {
    text-align: center;
    width: 100%;
}
.menu-overlay__navigation-list li a{
    display: block;
    padding: 1rem;
    width: auto;
    color: #FFFFFF;
    font-size: 3rem;
}
.menu-overlay__navigation-list li a:hover {
    color: var(--accent-color);
    background-color: #00000030;
}


.menu-btn {
    z-index: 501;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2.5rem;
    height: 100%;
    cursor: pointer;
    transition: all .5s ease-in-out;
}
.menu-btn__burger {
    width: 2.5rem;
    height: 4px;
    background: #fff;
    transition: all .5s ease-in-out;
  }
.menu-btn__burger::before,
.menu-btn__burger::after {
    content: '';
    position: absolute;
    width: 2.5rem;
    height: 4px;
    background: #fff;
    transition: all .5s ease-in-out;
}
.menu-btn__burger::before {
    transform: translateY(-1rem);
}
.menu-btn__burger::after {
    transform: translateY(1rem);
}
/* ANIMATION */
.menu-btn.open .menu-btn__burger {
    transform: translateX(-50px);
    background: transparent;
    box-shadow: none;
}
.menu-btn.open .menu-btn__burger::before {
    transform: rotate(45deg) translate(35px, -35px);
}
.menu-btn.open .menu-btn__burger::after {
    transform: rotate(-45deg) translate(35px, 35px);
}

.welcome__button,
.gallery__button,
.academy__button,
.footer__phone-link {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 7rem;
    height: 7.5rem;
    width: 27rem;
    border-radius: 1rem;
    cursor: pointer;
    color: #FFFFFF;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 1.8rem;
    background-color: #000;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.3);
    transition: 0.5s;
}
.gallery__button {
    width: 37rem;
    margin-top: 3rem;
    color: #000000;
    background-color: #FFFFFF;
    border: 1px solid #000000;
    box-shadow: none;

}
.academy__button {
    margin-top: 4rem;
}

.footer__phone-link {
    margin-top: 0;
    height: 5.7rem;
    color: #FFFFFF;
    background-color: transparent;
    border: 1px solid #FFFFFF;
    box-shadow: none;
}

.welcome__button:hover,
.welcome__button:focus {
    transform: scale(1.05);
}

.gallery__button:hover,
.gallery__button:focus {
    background-color: #000000;
    color: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.3);
}
section {
    width: 100%;
    display: flex;
}
h3 {
    /* about-us__title, services__title, gallery__title, academy__title */
    font-size: 4.4rem;
    text-transform: uppercase;
    font-weight: 700;
}

h3 span {
    color: var(--accent-color);
}

/* Welcome section */
.welcome {
    background: linear-gradient(109.72deg, #F0F0F0 0.94%, #D5D5D5 92.31%);
    height: 1000px;
    min-height: 50rem;
    max-height: 108rem;
    position: relative;
    overflow: hidden;
}
.welcome__wrapper {
    max-width: 128rem;
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    z-index: 2;
}
.header {
    width: 100%;
    margin-top: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 6.4rem;
}
.logo {
    margin-right: 5rem;
}
.navigation {
    width: 36%;
    font-weight: 600;
    font-size: 1.4rem;
    text-transform: uppercase;
}
.navigation ul {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.navigation ul li a {
    white-space: nowrap;
    margin-right: 1rem;
    transition: 0.5s;
    position: relative;
    color: #000000;
}
.navigation ul li a::after{
    position: absolute;
    content: "";
    width: 100%;
    height: 0.2rem;
    top: 100%;
    left: 0;
    background: var(--accent-color);;
    transition: transform 0.5s;
    transform: scaleX(0);
    transform-origin: left;
}
.navigation ul li a:hover {
    color: var(--accent-color);
}
.navigation ul li a:hover::after {
    transform: scaleX(1);
    transform-origin: left;
  }

.header__link-icon {
    filter: invert();
    width: 29px;
    height: 29px;
}

.welcome__message {
    margin-top: 12rem;
    width: 100%;
}
.welcome__message h1 {
    width: 82rem;
    font-weight: 800;
    font-size: 5.4rem;
    text-transform: uppercase;
    line-height: 1.2;
    text-shadow: 0.1rem 0.1rem 2rem #FFFFFF;
}
.welcome__message h1 span {
    color: var(--accent-color);
}
.welcome__message p {
    margin-top: 3rem;
    width: 62rem;
    font-size: 2.2rem;
    line-height: 1.6;
    text-shadow: 0.1rem 0.1rem 2rem #FFFFFF;
}
.welcome__image {
    width: 100%;
}
.welcome__image-container {
    z-index: 1;
    width: 55rem;
    position: absolute;
    bottom: -0.2rem;
    right: 5%;
	max-height: 85%;
}
.mobile-header {
    display: none;
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    width: 100%;
    height: 7rem;
    z-index: 3;
    background-color: #000000;
}
.mobile-header__wrapper {
    max-width: 128rem;
    margin: 0 2rem;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.mobile-header__logo-link {
    display: block;
    width: 130px;
}
.mobile-header__logo {
    width: 100%;
}

/* Features section */
.features {
    background-color: #F5F5F5;
}
.features__wrapper {
    max-width: 128rem;
    width: 80%;
    margin: 8rem auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.features__list {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
.features__item {
    width: 28rem;
    display: flex;
    flex-direction: column;
    align-content: center;
    margin: 0 auto;
}
.features__icon {
    display: flex;
    justify-content: center;
}
.features__icon img {
    display: flex;
    max-height: 90px;
}
.features__title {
    margin-top: 2.5rem;
    font-size: 2.2rem;
    font-weight: 700;
    text-align: center;
}
.features__text {
    margin-top: 1rem;
    font-size: 1.6rem;
    text-align: center;
    line-height: 2.4rem;
}

/* About-us section */
.about-us__wrapper {
    max-width: 128rem;
    width: 80%;
    margin: 8rem auto 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.about-us__text-container {
    width: 50%;
    padding-right: 4rem;
}
.about-us__text {
    margin-top: 2rem;
    font-size: 1.8rem;
    line-height: 3.2rem;
}
.about-us__image-container {
    width: 40%;
}
.about-us__image {
    width: 100%;
    height: auto;
    border-radius: 1rem;
    filter: drop-shadow(0px 4px 20px rgba(184, 159, 119, 0.2));
}

/* Services section */
.services__wrapper {
    max-width: 128rem;
    width: 80%;
    margin: 10rem auto 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.table {
    width: 70%;
    margin-top: 3rem;
}
tbody {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3rem;
}
.table__row {
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.table__cell {
    font-size: 2.5rem;
}
.table__cell_title {
    padding-right: 2rem;
    text-transform: uppercase;
}
.table__cell_price {
    color: var(--accent-color);
    text-align: end;
    white-space: nowrap;
}

/* Gallery section */
.gallery__wrapper {
    max-width: 128rem;
    width: 80%;
    margin: 10rem auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.gallery__images-container {
    width: 100%;
    margin-top: 3rem;
}
.gallery__list {
    text-align: center;
}
.splide__arrow--next {
    right: -3em;
}
.splide__arrow--prev {
    left: -3em;
}
.splide__slide {
    margin: 0 5px;
}
.gallery__image,
.services__image {
    width: 100%;
    height: 100%;
    border-radius: 1rem;
    cursor: pointer;
    transition: opacity 0.3s;
    object-fit: contain;
}
.gallery__image_extra {
    display: none;
}
.gallery__image:hover,
.services__image:hover {
    opacity: 0.7;
}

/* Gallery modal */
.gallery-modal,
.services-modal {
    display: block;
    position: fixed;
    z-index: 6;
    padding-top: 2rem;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: #000000d0;
}
.gallery-modal__close-btn,
.services-modal__close-btn {
    position: absolute;
    top: 3rem;
    right: 3rem;
    width: 32px;
    height: 32px;
    cursor: pointer;
    color: #F5F5F5;
    background: #ffffff20;
    padding: 5px;
    border-radius: 8px;
    z-index: 1;
}

@keyframes zoom {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

/* Academy section */
.academy {
    background-color: #DEDEDE87;
}
.academy__wrapper {
    max-width: 128rem;
    width: 80%;
    margin: 8rem auto 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.academy__content-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    padding-bottom: 8rem;
}
.academy__title {
    max-width: 96rem;
    text-align: center;
}
.academy__text {
    margin-top: 9rem;
    font-size: 2.5rem;
    font-weight: 400;
    text-align: center;
}
.academy__image {
    position: absolute;
    bottom: 0;
    max-width: 480px;
    width: 100%;
    z-index: -1;
}

/* Footer section */
.footer {
    background-color: #1F1F1F;
}
.footer__wrapper {
    max-width: 128rem;
    width: 100%;
    margin: 5rem auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer__sites {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
}
.footer__site {
    padding: 0 2rem;
    max-width: 52rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2.5rem;
    margin-bottom: 6.5rem;
}
.footer__site_texts {
    color: white;
    font-size: 2.5rem;
    text-align: center;
}
.footer__site_title {
    font-weight: 700;
    margin-bottom: 0.3rem;
}
.footer__site_address {
    font-weight: 300;
}
.footer__title {
    color: #FFFFFF;
    margin-bottom: 7rem;
}
.footer__booksy-link {
    display: flex;
    gap: 1.5rem;
    cursor: pointer;
}
.footer__booksy-rank-img {
    width: 46px;
    height: 34px;
}
.footer__icon {
    display: flex;
    width: 20px;
    height: 20px;
}
.contacts {
    max-width: 115rem;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 4rem;
}
.contacts__title {
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: 3.2rem;
    text-transform: uppercase;
    color: #FFFFFF;
}
.contacts__list {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.contacts__item {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.contacts__icon {
    font-size: 2rem;
    color: #D98F38;
}
.contacts__value {
    margin-left: 1.5rem;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: 1.5rem;
    color: #FFFFFF;
}
.footer__links-container {
    margin: 0 auto;
}
.footer__links {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 4rem;
}
.footer__map-container {
    display: flex;
    max-width: 520px;
    width: 100%;
    aspect-ratio: 2 / 1;
}
.map {
    width: 100%;
    height: 100%;
    border-radius: 4px;
}
/* Edge section */
.edge {
    padding: 4rem 0;
    background-color: #000000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.edge__text {
    font-family: 'Montserrat', sans-serif;
    line-height: 130%;
    font-weight: 400;
    font-size: 1.6rem;
    text-transform: uppercase;
    color: #FFFFFF;
}

/*BOOKSY WIDGET*/

.book-link {
    position: fixed;
    bottom: 0;
    right: -1rem;
    background: linear-gradient(315deg, #000000 90%, #00000000 90%);
    width: 7rem;
    height: 25rem;
    color: #FFFFFF;
    font-size: 20px;
    display: flex!important;
    align-items: center;
    justify-content: center;
    writing-mode:vertical-rl;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: 600;
    animation: shadow-anm 1.2s infinite ease-in-out;
    transition: all 0.5s;
    z-index: 5;
}

.book-link:hover {
    animation: none;
    right: 0;
    background: linear-gradient(315deg, var(--accent-color) 90%, #00000000 90%);
}

@keyframes shadow-anm {
    from {
        filter: drop-shadow(#000000 0 0 5px);
    }
    50% {
        filter: drop-shadow(#000000 0 0 35px);
    }
    to {
        filter: drop-shadow(#000000 0 0 5px);
    }
}

@media screen and (max-width: 1500px) {
    .gallery__images-container {
        grid-template-columns: 23rem 23rem 23rem 23rem;
    }
}

@media screen and (max-width: 1200px) {
    .features__list {
        grid-template-columns: repeat(1, 1fr);
        gap: 5rem;
    }
}

@media screen and (max-width: 1080px) {
    .welcome__wrapper {
        width: 100%;
        margin: 0 3rem;
    }
    .welcome__message h1 {
        width: 100%;
    }
    .welcome__message p {
        width: 80%;
    }
    .logo {
        margin-right: 2rem;
    }
    .navigation {
        width: 42%;
    }
    .welcome__image-container {
        opacity: 0.7;
    }

    .about-us__wrapper {
        width: 100%;
        margin: 4rem 3rem;
        flex-direction: column;
    }
    .about-us__text-container {
        width: 100%;
        padding-right: 0rem;
    }
    .about-us__image-container {
        width: 60%;
        margin-top: 5rem;
    }

    .features__wrapper,
    .services__wrapper {
        width: 100%;
        margin: 5rem 3rem;
    }

    .gallery__wrapper {
        margin: 5rem auto;
    }
    .table {
        width: 100%;
    }
    .gallery__images-container {
        grid-template-columns: 22rem 22rem 22rem;
    }
    .gallery__image_extra {
        display: block;
    }

    .contacts {
        flex-direction: column;
    }
}

@media screen and (max-width: 800px) {
    .welcome {
        height: calc(100vh - 7rem);
    }
    .welcome__message {
        margin-top: 4rem;
    }
    .navigation {
        display: none;
    }
    .footer__wrapper {
        flex-direction: column;
        margin: 6rem auto;
    }
    .contacts {
        width: 100%;
        padding-right: 0;
    }
    .about-us__image-container {
        width: 80%;
    }
    .edge {
        padding: 3rem 0;
    }

    .welcome__image-container {
        overflow: hidden;
        right: 0;
        height: 75%;
        width: 80%;
        display: flex;
        align-items: flex-end;
    }
    .welcome__image {
        object-fit: contain;
        transform: translateX(10rem);
    }

    .header {
        display: none;
    }
    .mobile-header {
        display: flex;
    }

    .gallery__wrapper {
        margin: 8rem auto 5rem;
    }
    .gallery__images-container {
        grid-template-columns: 22rem 22rem;
    }
    .gallery__image_extra {
        display: none;
    }
    #service {
        display: flex;
        justify-content: center;
    }
    .services__wrapper {
        margin: 8rem 3rem 0;
    }
    .about-us__wrapper {
        margin: 7rem 3rem 0;
    }
    .gallery-modal__close-btn,
    .services-modal__close-btn {
        top: 2rem;
        right: 2rem;
        background-color: #00000020;
        padding: 0;
    }

    .academy__text {
        margin-top: 7rem;
    }
}
@media screen and (max-width: 600px) {
    h3 {
        font-size: 3.4rem;
    }
    .welcome__message h1 {
        font-size: 4rem;
    }
    .features__list {
        grid-template-columns: repeat(1, 1fr);
        gap: 1rem;
    }
    .features__item:not(:first-child) {
        margin-top: 4rem;
    }
    .gallery__images-container {
        grid-template-columns: 20rem 20rem;
    }
    .gallery__button {
        width: 26rem;
        height: 6rem;
        line-height: normal;
        text-align: center;
    }

    .academy__wrapper {
        margin: 6rem auto 0;
    }

    .academy__content-container {
        padding-bottom: 6rem;
    }

    .book-link {
        width: 5rem;
        height: 23rem;
    }
    .book-link {
        font-size: 18px;
    }
}

@media screen and (max-width: 540px) {
    .about-us__image-container {
        width: 100%;
    }
    .gallery__images-container {
        grid-template-columns: 24rem 24rem;
    }
    .splide__arrow--next {
        right: -2em;
    }
    .splide__arrow--prev {
        left: -2em;
    }
    .table__cell {
        font-size: 1.8rem;
    }
    .footer__wrapper {
        margin: 4rem auto;
    }
    .contacts__list {
        gap: 2rem;
    }
    .edge {
        padding: 2.5rem 0;
    }
    .welcome__button {
        width: 23rem;
        height: 6.5rem;
        font-size: 1.6rem;
        margin-top: 4rem;
    }
}

@media screen and (max-width: 420px) {
    h3 {
        font-size: 3rem;
    }
    .welcome__message h1 {
        font-size: 3.2rem;
    }
    .welcome__message p {
        margin-top: 1rem;
        font-size: 1.8rem;
    }
    /*.welcome__image-container {*/
    /*    width: 45rem;*/
    /*}*/

    .academy__text {
        margin-top: 5rem;
    }
}
.hidden {
    display: none;
}

/*---Splide gallery---*/
.slider {
    display: flex;
    flex-direction: column;
    max-width: 128rem;
    width: 80%;
    margin: 8rem auto;
}
.gallery-modal__slider {
    width: 80vmin;
    height: 95%;
    margin: 0 auto;
}

.gallery-modal__track {
    height: 100%;
}

.splide__image {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.thumbnails {
    display: flex;
    margin: 1rem auto 0;
    padding: 0;
    justify-content: center;
}

.thumbnail {
    width: 8rem;
    height: 8rem;
    overflow: hidden;
    list-style: none;
    margin: 0 0.2rem;
    cursor: pointer;
    filter: grayscale(1) brightness(0.7);
}

.thumbnail.is-active {
    filter: grayscale(0) brightness(1);
}

.thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* call button */
.call-btn {
    display: none;
    position: fixed;
    bottom: 3rem;
    left: 3rem;
    background: var(--accent-color);
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 24px;
    color: #FFF;
    text-align: center;
    line-height: 60px;
    cursor: pointer;
    z-index: 2;
    align-items: center;
    justify-content: center;
}

.call-btn img {
    display: flex;
    width: 30px;
    height: 30px;
}

.call-btn:before,
.call-btn:after {
    content: " ";
    display: block;
    position: absolute;
    border: 1px solid var(--accent-color);
    border-radius: 50%;
    left: -10px;
    right: -10px;
    top: -10px;
    bottom: -10px;
    animation: animate 1.5s linear infinite;
}

.call-btn:after{
	animation-delay: .5s;
}

@keyframes animate
{
0%
{
    transform: scale(0.5);
    opacity: 0;
}
50%
{
    opacity: 1;
}
100%
{
    transform: scale(1.2);
    opacity: 0;
}
}

@media screen and (max-width: 800px) {
    .call-btn {
        display: flex;
    }
}

.lang-switcher-single img {
  width: 32px;
  cursor: pointer;
}

/*!* popup *!*/
.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.popup-content {
    background: #fff;
    padding: 30px 20px;
    border-radius: 12px;
    max-width: 500px;
    width: 90%;
    position: relative;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
    margin: 0 10px;
}

.popup-content h2 {
    margin-bottom: 15px;
    font-size: 22px;
    font-weight: 600;
    text-align: center;
}

.popup-close {
    position: absolute;
    top: 15px;
    right: 15px;
    background: transparent;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

@media (max-width: 600px) {
    .popup-content {
        width: 95%;
        padding: 20px 15px;
    }
}

.open-popup {
    cursor: pointer;
}

.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 select,
.wpcf7 textarea {
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 6px;
    font-size: 14px;
    outline: none;
    transition: 0.3s;
    background: transparent;
}

.wpcf7 input[type="text"].wpcf7-not-valid,
.wpcf7 input[type="email"].wpcf7-not-valid,
.wpcf7 input[type="tel"].wpcf7-not-valid,
.wpcf7 select.wpcf7-not-valid,
.wpcf7 textarea.wpcf7-not-valid {
    border: 1px solid red;
}

.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 textarea {
    margin-top: 15px;
    width: calc(100% - 24px);
}

.wpcf7 input[type="text"]:focus,
.wpcf7 input[type="email"]:focus,
.wpcf7 input[type="tel"]:focus,
.wpcf7 select:focus,
.wpcf7 textarea:focus {
    border-color: var(--accent-color);
}

.wpcf7 input[type="submit"] {
    width: 100%;
    background-color: var(--accent-color);
    color: #fff;
    padding: 12px 20px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    transition: 0.3s;
    margin-top: 15px;
}

.wpcf7-form-control-wrap {
    display: flex;
    flex-direction: column;
}

.wpcf7-not-valid-tip {
    margin-top: 5px;
    padding-left: 5px;
}

.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
    color: red;
    border: none;
    padding: 5px 0;
}

.wpcf7 form.sent .wpcf7-response-output {
    color: green;
    border: none;
    padding: 5px 0;
}

.form-submit {
    position: relative;
}

.wpcf7-spinner {
    position: absolute;
    top: 23px;
    right: 0px;
}

.wpcf7 form .wpcf7-response-output {
    border-radius: 6px;
    margin: 15px 0;
    padding: 5px;
    font-size: 14px;
    line-height: 1.2;
}

.popup-content-text {
    color: #000;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.6;
    text-shadow: 0.1rem 0.1rem 2rem #FFFFFF;
    margin-bottom: 20px;
    text-align: center;
}

.popup-content .welcome__button {
    margin-top: 20px;
    width: 100%;
    height: 42px;
}

.or {
    color: #000;
    font-weight: 600;
    font-size: 16px;
    text-align: center;
    margin-top: 15px;
}

@media (max-width: 480px) {
    .or, .popup-content-text {
        font-size: 14px;
    }

    .wpcf7 form .wpcf7-response-output {
        font-size: 12px;
    }
}
